#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartSample
{
    public class ViewModel
    {

		public ObservableCollection<Model> LineData1 { get; set; }

		public ObservableCollection<Model> LineData2 { get; set; }

        public ViewModel()
        {
                    
			LineData1 = new ObservableCollection<Model>
			{
				new Model(2010, 6000),
				new Model(2011, 3000),
				new Model(2012, 5000),
				new Model(2013, 6000),
				new Model(2014, 5000),
				new Model(2015, 3000)
			};

			LineData2 = new ObservableCollection<Model>
			{
				new Model(0, 4000), //Where 4000 is taken from average value of column series YBindingPath values.
				new Model(1, 4000)
			};

        }

    }
}
